Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1170374 - Review Request: yum-plugin-needs-restarting - YUM plugin for listing processes using old files after upgrade
Summary: Review Request: yum-plugin-needs-restarting - YUM plugin for listing processe...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-12-03 22:28 UTC by Michael Spahn
Modified: 2017-08-03 10:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-03 10:29:16 UTC


Attachments (Terms of Use)
Updated spec file (deleted)
2015-01-27 15:56 UTC, Michael Spahn
no flags Details
Updated SRPM (deleted)
2015-01-27 16:01 UTC, Michael Spahn
no flags Details

Description Michael Spahn 2014-12-03 22:28:39 UTC
Spec URL: http://fpaste.org/156381/
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8950/8288950/yum-plugin-needs-restarting-1.0-1.fc21.src.rpm
Description: yum-plugin-needs-restarting is a YUM plugin for listing processes using
old files after upgrading your system. It is based on the code of
needs-restarting which is part of the yum-utils package.
Fedora Account System Username: any0n3

This is my first package and I am looking for a mentor, I've already asked cwickert.

The developer is a friend of mine and I like to maintain this package.

Comment 1 Miroslav Suchý 2014-12-27 13:37:48 UTC
1) I'm not sure if it is worth the work to continue adding something for yum. I would focus work on some plugin for DNF instead.

2) There is much better plugin (for DNF) called tracer. See bug 1158629


And if you want to learn something:

* %defattr(-, root, root)
This is default and not needed since rpm 4.2

* %{__python} -c "import compileall; compileall.compile_dir('%{buildroot}/%pluginhome', 1)"
rpm do that automatically, no need to do that.

* rm -rf %{buildroot}
not needed: http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

* you should preserve timestamps and use "cp -a"

* license should be marked using %license macro
  %license COPYING

* do not enumerate all extension and just use:
  %{pluginhome}/needs-restarting.py*

Comment 2 Piotr Popieluch 2014-12-28 15:42:27 UTC
DNF is not available in RHEL6 and 7 which are still supported up to 2028. This is a really useful plugin which I would definitely use as sysadmin. I do think it is worth the work.

Did you already found someone which is willing to sponsor you? Do you want to become a package maintainer or are you just interested in getting this single package in Fedora/EPEL? If you are just interested in this package it would probably be faster if I would take it over from you and make you co-maintainer.

Comment 3 Michael Spahn 2015-01-27 15:41:50 UTC
Thank you for you comments, I'm interested in becoming a package maintainer. And it seems like I haven't found a sponsor yet.

I'll fix the mentioned improvements asap.

Comment 4 Michael Spahn 2015-01-27 15:56:23 UTC
Created attachment 984741 [details]
Updated spec file

Comment 5 Michael Spahn 2015-01-27 16:01:38 UTC
Created attachment 984743 [details]
Updated SRPM

Comment 6 Piotr Popieluch 2015-01-27 16:11:54 UTC
I Can't sponsor you as I am not a sponsor... You will need to find one yourself. You will have to show them that you understand the package guidelines by doing unofficial reviews.
Please also upload the spec/srpm to a website and not send them as attachments. Most reviewers use fedora-review -b <bugnumber> which doesn't work with attachments.

Comment 7 Piotr Popieluch 2015-03-08 12:25:05 UTC
Hi Michael,

Could you please upload the updated spec and srpm and post the url's like you did in the bug, like:
Spec URL: 
SRPM URL:
Most reviewers use automated tools which fetch sources from those tags, that doesn't work with attachments.

Could you post links to unofficial package reviews you did?

Comment 8 Till Maas 2017-08-03 10:29:16 UTC
Michael, since you did no respond to Piotr in 2 years I close this review request. Please open a new one if you still plan to package this.


Note You need to log in before you can comment on or make changes to this bug.